Bug 475440 - (CVE-2008-5277) CVE-2008-5277 pdns: DoS (daemon crash) via a CH HINFO query.
CVE-2008-5277 pdns: DoS (daemon crash) via a CH HINFO query.
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20081118,reported=20081115,sou...
: Security
Depends On: 472074
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 03:45 EST by Jan Lieskovsky
Modified: 2010-03-29 08:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 04:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2008-5277 patch against 2.9.21.1 (1.58 KB, patch)
2008-12-09 03:48 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2008-12-09 03:45:02 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5277 to
the following vulnerability:

PowerDNS before 2.9.21.2 allows remote attackers to cause a denial of
service (daemon crash) via a CH HINFO query.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5277
http://doc.powerdns.com/powerdns-advisory-2008-03.html
http://securitytracker.com/id?1021304
http://secunia.com/advisories/32979
http://xforce.iss.net/xforce/xfdb/47076
Comment 1 Jan Lieskovsky 2008-12-09 03:48:18 EST
Created attachment 326278 [details]
CVE-2008-5277 patch against 2.9.21.1
Comment 2 Jan Lieskovsky 2008-12-09 03:54:58 EST
According to BZ#472074 Fedora EPEL4 and EPEL5 pdns packages has been already
updated.

The Fedora release of 10 also already contains fixed pdns packages.

This issue affects the versions of the pdns package, as shippped
with Fedora releases of 8 and 9. Please update.
Comment 4 Ruben Kerkhof 2008-12-09 14:11:06 EST
Not true, packages for F-8 en F-9 have been pushed to stable on 2008-11-26

Note You need to log in before you can comment on or make changes to this bug.